import request from '@/utils/request'

// 查询app主页轮播图列表
export function listRetaion(query) {
  return request({
    url: '/system/retaion/list',
    method: 'get',
    params: query
  })
}

// 查询app主页轮播图详细
export function getRetaion(name) {
  return request({
    url: '/system/retaion/' + name,
    method: 'get'
  })
}

// 新增app主页轮播图
export function addRetaion(data) {
  return request({
    url: '/system/retaion',
    method: 'post',
    data: data
  })
}

// 修改app主页轮播图
export function updateRetaion(data) {
  return request({
    url: '/system/retaion',
    method: 'put',
    data: data
  })
}

// 删除app主页轮播图
export function delRetaion(name) {
  return request({
    url: '/system/retaion/' + name,
    method: 'delete'
  })
}
